Subject: bug#22414: 24.5; GNUS - No such function: nnregistry-request-group

From: Robert Pluim <[email-masked]>
Date: Tue, 04 Feb 2025 15:27:00 +0100

>>>>> On Tue, 04 Feb 2025 15:11:05 +0200, Björn Bidar <[email-masked]> said:
    >> 
    >> So what I hope you mean is:
    >> 
    >> nnregistry doesnʼt actually handle servers or groups, however we need
    >> to define a dummy function for it in order to satisfy the
    >> gnus-check-group-server function.
    >> 
    >> Robert

    Björn> That does sound a little condescending to say you hope what
    Björn> I am saying.

It was not intended that way, I was trying to express what I
understood.

    Björn> I'm not a native speaker but I think I can speak well enough to be
    Björn> understandable. 
    Björn> Yes that is essentially what I'm trying to say but I want to highlight
    Björn> that you take the sentence out of context. The full message was:

    Björn>      Add function for gnus-check-group-server.  nnregistry doesn't handle
    Björn>      any servers or groups define the dummy function so Gnus-registry
    Björn>      works as refer article method.

    Björn> Did you read the first sentence? Maybe it should have been:

    Björn>      Add function for gnus-check-group-server function.  nnregistry doesn't handle
    Björn>      any servers or groups define the dummy function so Gnus-registry
    Björn>      works as refer article method.

My difficulty is because this bit: "nnregistry doesn't handle any
servers or groups" runs into this bit: "define the dummy function so
Gnus-registry works as refer article method" without any intervening
junction phrase like "so we must" or similar.

Robert
--